curl --request GET \
--url https://api.projectdiscovery.io/v1/asset/enumerate/export \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/asset/enumerate/export"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/asset/enumerate/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"export_id": "<string>"
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Export Enumeration of user
Export the list of discovered assets for all enumerations.
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Query Parameters
Return assets that haven't been seen in the last N days. An asset is only included if a scan that covers it has run during that period without rediscovering it, so assets that simply haven't been rescanned recently are not matched.
x >= 1raw, json, csv Search on the content name
Filter by comma separated labels, e.g-> labels=p1,p2
Filter by new content
Filter by comma separated labels, e.g-> host=p1,p2
Filter by port separated labels, e.g-> port=p1,p2
Filter by status code separated labels, e.g-> status_code=p1,p2
Filter by title separated labels, e.g-> title=p1,p2
Filter by content length separated labels, e.g-> content_length=p1,p2
Filter by domain names separated labels, e.g-> domain=domain1.com,domain2.com
cname to filter
technologies to filter
comma separated ascending sorting e.g sort_asc=created_at,name
time filter to select
last_day, last_week, last_month, last_3_months, last_6_months, last_12_months, all_time time filter start date
time filter end date
custom query to filter. double encode the query string.
ips to filter
Filter by comma separated favicons, e.g-> favicon=p1,p2
Query only dns FQDN records
Query only dns IP records
Response
OK
The response is of type string.
Was this page helpful?